TRENDDocs
API referenceCollectibles

Vault of a collectible

GET
/v1/collectibles/{id}/vault

What the vault holds.

Path Parameters

id*string

A collectible's launch address.

Response Body

OK

application/json
  1. response

A JSON object with the vault's cards.

curl -X GET 'https://api.dev.trend.fun/v1/collectibles/3rvGiCyHHkhATZNhSznAhpcXKRZ9788AD6yan1khxwuS/vault'
{  "launch": "WDFMqSz16nUiivcuuwiPemDzz2diHKqvKTaCtnTEh3B",  "primaryMint": "SANnovMrJQAehy2EfuALincGrZ7oS9gB58SoifTuNPM",  "symbol": "LUCARIOEX6",  "name": "2014 #55 M Lucario EX PSA 6 XY Furious Fists Pokemon",  "unnamed": false,  "stage": "tradable",  "exists": true,  "custody": {    "account": "CKYQYZU6UWvPNg7rV4AGJB6vVA1xKxZR2PWWZHnUokbS"  },  "cards": [    {      "asset": "B3WJK4gaTWm6GPbfxp3s1CvEGds7toe4oAaGrth3NGhD",      "standard": "pnft",      "source": "original",      "isLaunchCard": true,      "acquiredAt": 1791568812,      "signature": "t7wLHGkxVw9j5tHXkkdPSf8MfoP1wX5ipHLpN1E3jFnA2Mf4fuCGJMZyjDq3LePynQAcE3YBj6apBkx5yYkF93z",      "spentUsdc": "25000000",      "stillHeld": true,      "stillHeldCheckedAt": 1791641930,      "photo": {        "thumbUrl": "https://api.dev.trend.fun/v1/media/a20c4a036acef217aa2a2f776804551c.webp",        "fullUrl": "https://api.dev.trend.fun/v1/media/a20c4a036acef217aa2a2f776804551c.webp",        "backUrl": "https://api.dev.trend.fun/v1/media/634472de442010fd459422b958356bcb.webp"      },      "identity": {        "itemName": "2014 #55 M Lucario EX PSA 6 XY Furious Fists Pokemon",        "grader": "PSA",        "grade": 6,        "gradeLabel": "EX-MT 6",        "year": 2014,        "set": "Pokemon XY Furious Fists",        "serial": "55",        "certificate": "147788449",        "source": "collectorCrypt",        "readAt": 1791568814      },      "values": {        "insured": {          "usd": "16.00",          "source": "collectorCrypt",          "readAt": 1791568814,          "stale": false        },        "listedAtLaunch": {          "usdc": "25000000",          "at": 1791568727        },        "acquiredFor": {          "usdc": "25000000",          "at": 1791568812,          "signature": "t7wLHGkxVw9j5tHXkkdPSf8MfoP1wX5ipHLpN1E3jFnA2Mf4fuCGJMZyjDq3LePynQAcE3YBj6apBkx5yYkF93z"        }      }    }  ],  "totals": {    "held": 1,    "noLongerHeld": 0,    "insuredUsd": "16.00",    "insuredKnown": 1,    "insuredOldestReadAt": 1791568814,    "acquiredForUsdc": "25000000",    "acquiredForKnown": 1  },  "fees": {    "assets": [      {        "mint": "SANnovMrJQAehy2EfuALincGrZ7oS9gB58SoifTuNPM",        "symbol": "LUCARIOEX6",        "decimals": 6,        "role": "token",        "collected": "0",        "seedResidue": "0",        "held": "0",        "valueUsdc": null,        "valueSource": null,        "valuedAt": null,        "spendable": false      },      {        "mint": "So11111111111111111111111111111111111111112",        "symbol": "SOL",        "decimals": 9,        "role": "wsol",        "collected": "43309609477",        "seedResidue": "0",        "held": "45007100351",        "valueUsdc": "4839557405",        "valueSource": "pinnedPoolQuote",        "valuedAt": 1791641933,        "spendable": false      }    ],    "collectedValueUsdc": "4839557405",    "lastClaimAt": 1791641503  },  "nextCard": {    "eligibleListings": null  },  "feePurchase": {    "live": false  },  "serverTime": 1791641933}